## SnapdIcon SnapdIcon — Snap icon data |

## Functions

const gchar * | snapd_icon_get_mime_type ()
GBytes * | snapd_icon_get_data ()

## Properties

GBytes * | data | Read / Write / Construct Only
char * | mime-type | Read / Write / Construct Only

## Types and Values

| SnapdIcon

## Object Hierarchy

        GObject
        ╰── SnapdIcon

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdIcon contains the icon data for a given snap. Icons can be requested using `snapd_client_get_icon_sync()`.

## Functions

### snapd_icon_get_mime_type ()

    const gchar *
    snapd_icon_get_mime_type (SnapdIcon *icon);

Get the mime-type for this icon, e.g. "image/png".

#### Parameters

icon | a SnapdIcon. |

#### Returns

a MIME type.

Since: 1.0

### snapd_icon_get_data ()

    GBytes *
    snapd_icon_get_data (SnapdIcon *icon);

Get the binary data for this icon.

#### Parameters

icon | a SnapdIcon. |

#### Returns

the binary data.

[transfer none]

Since: 1.0

## Types and Values

### SnapdIcon

    typedef struct _SnapdIcon SnapdIcon;

SnapdIcon contains icon data.

Since: 1.0

## Property Details

### The `“data”` property

      “data”                     GBytes *

Icon data.

Owner: SnapdIcon

Flags: Read / Write / Construct Only

### The `“mime-type”` property

      “mime-type”                char *

Icon mime type.

Owner: SnapdIcon

Flags: Read / Write / Construct Only

Default value: NULL